Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062842 - "invalid value for bytes param" crash calculating minimum size of a small NTFS partition
Summary: "invalid value for bytes param" crash calculating minimum size of a small NTF...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-blivet
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-08 07:56 UTC by Adam Williamson
Modified: 2014-02-13 17:32 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-12 18:13:12 UTC


Attachments (Terms of Use)
traceback (deleted)
2014-02-08 07:57 UTC, Adam Williamson
no flags Details
storage.log (deleted)
2014-02-08 07:57 UTC, Adam Williamson
no flags Details
program.log (deleted)
2014-02-08 07:58 UTC, Adam Williamson
no flags Details
anaconda.log (deleted)
2014-02-08 07:58 UTC, Adam Williamson
no flags Details

Description Adam Williamson 2014-02-08 07:56:57 UTC
Filing manually, as this crash seems to cause anaconda to abort entirely so I can't report it via libreport.

This is running current Rawhide anaconda (liveinst) on my fedlet - Venue 8 Pro tablet. The crash comes while it's trying to figure out the minimum possible size for /dev/mmcblk0p4, I think, which is one of the many partitions the device has out of the box (I haven't touched the internal drive yet aside from using Windows normally).

anaconda 21.20-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/size.py", line 198, in __new__
    raise ValueError("invalid value for bytes param")
  File "/usr/lib/python2.7/site-packages/blivet/size.py", line 232, in __mul__
    return Size(bytes=Decimal.__mul__(self, other, context=context))
  File "/usr/lib/python2.7/site-packages/blivet/formats/fs.py", line 1396, in _getMinSize
    size = min(minSize * 1.1, minSize + 500, self.currentSize)
  File "/usr/lib/python2.7/site-packages/blivet/formats/fs.py", line 222, in updateSizeInfo
    self._getMinSize(info=info)   # force calculation of minimum size
  File "/usr/lib/python2.7/site-packages/blivet/formats/fs.py", line 117, in __init__
    self.updateSizeInfo()
  File "/usr/lib/python2.7/site-packages/blivet/formats/__init__.py", line 82, in getFormat
    fmt = fmt_class(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1809, in handleUdevDeviceFormat
    device.format = formats.getFormat(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1166, in addUdevDevice
    self.handleUdevDeviceFormat(info, device)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 2092, in _populate
    self.addUdevDevice(dev)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 2033, in populate
    self._populate()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 426, in reset
    self.devicetree.populate(cleanupOnly=cleanupOnly)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 145, in storageInitialize
    storage.reset()
  File "/usr/lib/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib/python2.7/site-packages/pyanaconda/threads.py", line 226, in run
    threading.Thread.run(self, *args, **kwargs)
ValueError: invalid value for bytes param

Comment 1 Adam Williamson 2014-02-08 07:57:26 UTC
Created attachment 860845 [details]
traceback

Comment 2 Adam Williamson 2014-02-08 07:57:45 UTC
Created attachment 860846 [details]
storage.log

Comment 3 Adam Williamson 2014-02-08 07:58:29 UTC
Created attachment 860847 [details]
program.log

Comment 4 Adam Williamson 2014-02-08 07:58:55 UTC
Created attachment 860848 [details]
anaconda.log

Comment 5 Adam Williamson 2014-02-10 23:19:57 UTC
That fixes it, but I hit another later in resize.py. Unfortunately I built the current fedlet live image with generic-release, so libreport doesn't work. grr.

anaconda 21.20-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/decimal.py", line 1590, in __float__
    return float(s)
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/resize.py", line 249, in _setup_slider
    self._resizeSlider.set_range(int(ceil(device.minSize)), int(device.size))
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/resize.py", line 291, in _update_action_buttons
    self._setup_slider(device, Size(bytes=obj.target))
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/resize.py", line 481, in on_selection_changed
    self._update_action_buttons(self._diskStore[itr])
ValueError: invalid literal for float(): 12.12 GiB
 
Local variables in innermost frame:
s: 12.12 GiB
self: 12.12 GiB

Comment 6 Adam Williamson 2014-02-10 23:34:33 UTC
let me know if that one turns out not to be a simple 30 second fix and I'll split the report so we don't lose it. I have the full TB saved just in case.

Comment 7 Adam Williamson 2014-02-13 17:32:55 UTC
Filed https://bugzilla.redhat.com/show_bug.cgi?id=1065021 for the resize.py crash,


Note You need to log in before you can comment on or make changes to this bug.